View Single Post
Old 09-30-2012, 01:48 PM   #171
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 1,078
Karma: 444444
Join Date: Nov 2009
Device: many
hard coded to some local qt libs on Mac OS X 10.8.2

Hi,

I tried the latest beta under my machine (with local Qt version 4.7 installed) from sigtrap get the following as an error upon launch:

Dyld Error Message:
Library not loaded: /usr/local/Cellar/qt/4.8.2/lib/QtGui.framework/Versions/4/QtGui
Referenced from: /Applications/Sigil.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg
Reason: Incompatible library version: QtSvg requires version 4.8.0 or later, but QtGui provides version 4.7.0

So it appears I either need to update to my own 4.8.2 version of Qt or the build did itself is linked to qt libs not part of the Sigil.app framework.


Hope this helps,

KevinH
KevinH is offline